Subject: Offline Message from Bobby Mobiz: I purchased two swagtrons from the Walmart
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 12 Jun 2022 16:44:24 -0000

From: Bobby Mobiz <[email-masked]>
Phone: 5087175000
Location: Dorchester, United States
URL: https://swagtron.com/?utm_source=Swagtron.com&utm_campaign=e556005437-EMAIL_CAMPAIGN_2021_12_13_08_11_COPY_02&utm_medium=email&utm_term=0_ac86eb4cbf-e556005437-385429682&goal=0_ac86eb4cbf-e556005437-385429682&mc_cid=e556005437&mc_eid=60114c0b55
Department: SwagTron

I purchased two swagtrons from the Walmart website both of which only lasted about 7 months, I only use them to go around town driving very carefully very slow over train tracks always watching for holes or big bumps and I only weigh 150 lb... Even though they were only about 5 or 600 each I'm surprised I even gave it a second chance, I didn't bother calling for warranty service because from what I read you have to pay to mail it all the way to California and I am in Massachusetts. The first one I gave away to see if the person could fix it which they couldn't and scrapped it the second one is still just sitting here lights up fully charged lit but just stopped moving... Just like the first one my swag cycle envy with no pedals the back tire where the engine is just stopped moving one day then I bought the swag cycle pro figuring the bigger tires would hopefully mean less flat tires which was true unlike the swag cycle envy I had a flat tire every week it was crazy if it wasn't for my neighbor knowing how to change flats I would have been stuck, but now I'm stuck with my second one I could still pedal around town but it defeats the fun purpose plus it's 90° here in Mass right now. Even my local Rent-A-Center and Aaron's I noticed had it on their website I figured if I did it that way at least if it stopped moving the responsible to fix it or replace it I went to pick it up and they pulled it off of their website and store quicker than I can say swag cycle. I asked them why and sure enough even though I knew the answer they said because there were too many problems and they switched to a scooter name I've never heard of but apparently the company's buyer thinks it's more reliable than the brand name swag cycle electric sit down scooters. I've wrote several reviews online because actually I don't want anyone to make the same mistake I did once never mind twice. My reviews are pretty credible because they are honest and not revenge driven like many reviews are or rated based on one thing and not all around. Not to fear my reviews clearly state I cannot speak for any other models only the two I purchased. My reviews also acknowledge I initially thought it was a bad batch I received seeing I bought two swag cycle envy scooters identical in white but the odds of them both having the same exact issue the first thing to go within 2 hours of use on both were the headlight, and of course over the last few years I kept up with online articles to see if I just I did just happen to receive a couple lemons but it appears they were no recalls although many did have the same headlight issue. Then last year I bought two more from the Walmart website in black both eb 5's. One I gave to my aunt and the other I kept.. the odds of them having the same exact issues even though she moved to Florida can't be a coincidence unlike the envy we weren't able to exchange the mileage which was strange considering these were more money than the envy but her battery bar also lights up saying it's fully charged and when turning to accelerate it does not move either the same as mine. I wondered if it was the battery but seeing both of our battery meters are full it can't be. I definitely cannot deal with the stress of trying a third time but if I did I would of tried a regular stand-up electric scooter. I did try contacting swagtron via email several times but I never heard back from them just for the heck of it I'm going to copy and paste this unsubscription from future emails & paste it into an email to swagtron to see if I get a response I figure it can't hurt.

----
Zopim
https://www.zopim.com